# frozen_string_literal: true

# Copyright 2019 Richard Davis
#
# This file is part of glsnip.
#
# glsnip is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# glsnip is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with glsnip.  If not, see <http://www.gnu.org/licenses/>.

require 'glsnip/request'

module Glsnip
  ##
  # = DeleteRequest
  # Author::    Richard Davis
  # Copyright:: Copyright 2019 Richard Davis
  # License::   GNU Public License 3
  #
  # Generic wrapper for DELETE requests to the GitLab API
  class DeleteRequest < Request
    def send
      @response = Faraday.delete(@url) do |req|
        req.headers['Private-Token'] = TOKEN
        req.params = @params
      end
    end
  end
end
